.\"	$NetBSD: rpc.sprayd.8,v 1.9 2003/02/25 10:34:50 wiz Exp $
.\"
.\" Copyright (c) 1994 Christos Zoulas
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd June 22, 1994
.Dt RPC.SPRAYD 8
.Os
.Sh NAME
.Nm rpc.sprayd ,
.Nm sprayd
.Nd spray server
.Sh SYNOPSIS
.Nm /usr/libexec/rpc.sprayd
.Sh DESCRIPTION
.Nm
is a server which records packets sent by the
.Xr spray 8
command and sends a traffic report to the originator of the packets.
The
.Nm
daemon is normally invoked by
.Xr inetd 8 .
.Pp
.Nm
uses an RPC protocol defined in
.Pa /usr/include/rpcsvc/spray.x .
.Sh SEE ALSO
.Xr spray 8
.Sh SECURITY CONSIDERATIONS
As
.Nm
responds to packets generated by
.Xr spray 8 ,
remote users can cause a denial of network service against the local
host by saturating requests to
.Nm .
